@echo Wav2Khx is running...
@rem open console,
@rem change to directory and start batch with "wav2khx FILENAM"
@rem FileToOpen needed: http://www.horstmuc.de/win/wfile.zip
@echo off
if not exist GetFName.cmd (
	%~d0
	cd %~dp0
)
if not exist GetFName.cmd if exist ..\GetFName.cmd cd ..
call SHARPSET
set fnamex=.WAV
set fnamedp=%RECDIR%\
if "%RECDIR%" == "" set fnamedp=%WAVDIR%\
set fnamen=%1
set fnamef=%fnamedp%%fnamen%%fnamex%
set khxex=.khx

Rem Note: Filenames with 1-7 characters are recommended!
if not exist %fnamef% call GetFName %fnamedp% "*%fnamex%;*.tap;*.khx;*.hex" "%1"
if not exist %fnamef% (
             echo Error: File %fnamef% does not exist! - Ctrl+C
             goto end
)
set sftype=
if "%fnamex%" == ".hex" set sftype="--khx"

rem @echo on
wav2bin --pc=%SHARPC% --type=img %sftype% %fnamef% %TEMP%\%fnamen%.TMP %WAV2OPT% %2 %3 --parameters
@echo off
if errorlevel 9 goto skip1
if errorlevel 1 goto end
set sftype=
echo.
type %TEMP%\%fnamen%.CFG
echo.
pause

if %fnamef%=="%WAVDIR%\%fnamen%%khxex%" (
    echo Copy existing *%khxex% file to *.BAK...
    copy %WAVDIR%\%fnamen%%khxex% %fnamedp%%fnamen%.BAK
)

rem @echo on
bin2wav %TEMP%\%fnamen%.TMP --khx %WAVDIR%\%fnamen%%khxex% %BIN2OPT% --parameters
@echo off
if errorlevel 1 goto end

echo.
echo Test the new khx file %WAVDIR%\%fnamen%%khxex%
if defined TERMLOAD echo Start CLOAD ?/M/INPUT# and press a key ....
pause
if defined TERMLOAD (
        start "%fnamen%" %TERMLOAD% %WAVDIR%\%fnamen%%khxex%
) else (
        start "%fnamen%" %EDITOR% %WAVDIR%\%fnamen%%khxex%
)
del %TEMP%\%fnamen%.TMP
del %TEMP%\%fnamen%.CFG
goto :EOF

:skip1
echo ---------------------------------------------
echo.
echo Please read the messages above!
pause

goto :EOF
:end
pause